### Method

# Goa ObjectSkeleton set_password_based

since: 3.6.0

#### Declaration [src]

    void
    goa_object_skeleton_set_password_based (
      GoaObjectSkeleton* object,
      GoaPasswordBased* interface_
    )

#### Description [src]

Sets the `GoaPasswordBased` instance for the D-Bus interface org.gnome.OnlineAccounts.PasswordBased on `object`.

Available since: 3.6.0

#### Parameters

`interface_`

  Type: `GoaPasswordBased`

  A `GoaPasswordBased` or `NULL` to clear the interface.

  The argument can be `NULL`.
  The data is owned by the caller of the method.